Complete a password reset using a previously-issued token.
Complete a password reset using a previously-issued token.
POST
https://staging.softsolz.uk/api/v1/services/customer-auth/password-resets/completeRecent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Headers
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Body Params
tokenstringThe reset token from POST /password-resets.
passwordstringNew plaintext password.
Response
Response Body
idstringEnd-user id whose password was reset.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.customerAuth.completePasswordReset({});console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": { "id": "string" }}